<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 8b32dd0a5329 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-02 19:36 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * Class we_image_crop
 *
 * Provides image cropping functions.
 */
abstract class we_base_imageCrop{

	static function getCrop(we_document_image $we_doc, array $attribs): string{
		$cancelbut = we_html_button::create_button(we_html_button::CANCEL, "javascript:we_cmd('crop_cancel')");
		$okbut = we_html_button::create_button(we_html_button::SAVE, "javascript:_EditorFrame.setEditorIsHot(true);we_cmd('doImage_crop',document.we_form.cropCoordX.value,document.we_form.cropCoordY.value,document.we_form.CropWidth.value,document.we_form.CropHeight.value);", '', '', true, false);

		return we_html_element::hiddens([
				'origWidth' => !empty($attribs['width']) ? $attribs['width'] : ($we_doc->getElementI('origwidth') ?: ''),
				'origHeight' => !empty($attribs['height']) ? $attribs['height'] : ($we_doc->getElementI('origheight') ?: '')
			]) .
			we_html_element::hidden("cropCoordX", '', "cropCoordX") .
			we_html_element::hidden("cropCoordY", '', "cropCoordY") . '
      <div id="weImgDiv">
        <div id="weImagePanelBorder"><div id="weImagePanel">
          <img id="weImage" src="' . $attribs['src'] . '" style="' . (isset($attribs['width']) ? 'width:' . $attribs['width'] . 'px;' : '' ) . (isset($attribs['height']) ? 'height:' . $attribs['height'] . 'px;' : '') . '"' . (isset($attribs['alt']) ? ' alt="' . $attribs['alt'] . '"' : '') . ' />
<div id="imgfocus_point" style="display:none;" draggable="false"></div>
</div>
</div>
      </div>
      <div id="weControl" style="display:none;height:24px;background:#CECECE;border-top:solid 1px #fff;padding:3px;">
        <table style="width:100%" class="default">
          <tr>
        	  <td style="width:250px;padding-top:4px;">
        	  	<div id="console" style="display:none;">
        		  <div id="weSizeDiv">
         	 		  <input type="number" name="CropWidth" id="CropWidth" value="0" onchange="window.ImageEditTools.Crop.setCropWidth(this.value);" onkeydown="return ImageEditTools.Crop.catchKeystroke(event,this);" /> X
								<input type="number" name="CropHeight" id="CropHeight" value="0" onchange="window.ImageEditTools.Crop.setCropHeight(this.value);" onkeydown="return ImageEditTools.Crop.catchKeystroke(event,this);" />
              </div>
              <a id="cropButtonZoomIn" title="' . g_l('crop', '[enlarge_crop_area]') . '" onmousedown="window.ImageEditTools.Crop.zoom(1);"><i class="fa fa-expand"></i></a>
              <a id="cropButtonZoomOut" title="' . g_l('crop', '[reduce_crop_area]') . '" onmousedown="window.ImageEditTools.Crop.zoom(-1);"><i class="fa fa-compress"></i></a>
              </div>
            </td>
            <td>' . we_html_button::position_yes_no_cancel($okbut, '', $cancelbut) . '</td>
          </tr>
        </table>
      </div>';
	}

}
