<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_dialog_source extends we_dialog_base{
	protected $isTinyDialog = true;

	protected function __construct(bool $noInternals = true){
		parent::__construct($noInternals);
		$this->onOkJsOnly = true;
		$this->dialogTitle = 'Quelltext bearbeiten'; //g_l('wysiwyg', '[language_title]');
		$this->noInternals = $noInternals;
	}

	function defaultInit(): void{

	}

	protected function initByHttp(): void{

	}

	protected function getJs(): string{
		return parent::getJs() .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/lib/codemirror.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/addon/edit/matchbrackets.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/xml/xml.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/javascript/javascript.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/css/css.js') .
			//we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/css/cssode/c.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/htmlmixed/htmlmixed.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/mode/php/php.js') . //'mode/php/php.js',
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/addon/dialog/dialog.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/addon/search/searchcursor.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/addon/search/search.js') .
			we_html_element::jsScript(WE_LIB_DIR . 'CodeMirror/addon/selection/active-line.js') .
			we_html_element::jsScript(WE_JS_TINYMCE_DIR . 'plugins/wesource/js/wesource.js') .
			we_html_element::cssLink(WE_LIB_DIR . 'CodeMirror/lib/codemirror.css') .
			we_html_element::cssLink(WE_LIB_DIR . 'CodeMirror/addon/dialog/dialog.css');
	}

	protected function getCss(): string{
		return parent::getCss() .
			we_html_element::cssLink(WE_LIB_DIR . 'CodeMirror/lib/codemirror.css') .
			we_html_element::cssLink(WE_LIB_DIR . 'CodeMirror/addon/dialog/dialog.css');
	}

	protected function getDialogContentHTML(): string{
		return we_html_element::div(['id' => 'wesourceDiv']);
	}

	protected function getDialogButtons(): string{
		return parent::getDialogButtons();
	}

}
