<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 51c12522110d $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-10-12 18:51 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * implementation class of metadata reader for PDF metadata
 */
class we_metadata_PDF extends we_metadata_metaData{

	public function __construct(string $filetype){
		$this->filetype = $filetype;
		$this->accesstypes = ['read'];
	}

	/**
	 *
	 * @param string[] $selection
	 * @return string[]
	 */
	protected function getInstMetaData(array $selection = []): array{
		if(!$this->valid){
			return [];
		}
		if($selection){
			// fetch some
		} else {
			$pdf = new we_helpers_pdf2text($this->datasource);
			$this->metadata = $pdf->getInfo();
		}
		return $this->metadata;
	}

}
