<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 818ead29ce48 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-20 02:08 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_next extends we_weTag_tag{

	public static function parse(array $attribs, string $content): string{
		return '<?php ob_start();?>' . $content . '<?= ' . we_weTag_parser::printTag('next', $attribs, 'ob_get_clean()?:\'\'', false, true) . '; ?>';
	}

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		$attribs = self::removeAttribs($attribs, ['_type']);
		return we_tag_listview::$current && we_tag_listview::$current instanceof we_listview_base ? we_tag_listview::$current->getNextLink($attribs, $content) : '';
	}

}
