<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_options extends we_weTag_tag{
	private static $defArray = [];

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$classid = self::getAttribute('classid', $attribs, 0, we_base_request::INT);
		$field = self::getAttribute('field', $attribs, '', we_base_request::STRING);

		$o = '';
		if($classid && $field){
			if(!isset(self::$defArray['cid_' . $classid])){
				self::$defArray['cid_' . $classid] = we_unserialize(fS('SELECT DefaultValues FROM ' . OBJECT_TABLE . ' WHERE ID=' . intval($classid)));
			}
			$foo = self::$defArray['cid_' . $classid]['meta_' . $field]['meta'];
			foreach($foo as $key => $val){
				$o .= '<option value="' . $key . '"' . ((($GLOBALS[$name] == $key) && strlen($GLOBALS[$name]) != 0) ? ' selected="selected"' : '') . '>' . $val . '</option>';
			}
			return $o;
		}
		return '';
	}

}
