<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_pref extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;

		$newsletterName = new we_weTag_choiceAttribute($this, 'name', '', [
			], false, false, we_modules_info::NEWSLETTER);
		$shopName = new we_weTag_choiceAttribute($this, 'name', '', [
			new we_weTag_option('vatRule'),
			new we_weTag_option('shippingControl'),
			new we_weTag_option('statusMails'),
			], false, false, we_modules_info::SHOP);
		$field = new we_weTag_textAttribute($this, 'field', '', false, '');



		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('newsletter', false, we_modules_info::NEWSLETTER, [$newsletterName], [$newsletterName]),
			new we_weTag_option('shop', false, we_modules_info::SHOP, [$shopName, $field], [$shopName, $field])]
			, false, '');

		$this->Attributes = [$newsletterName, $shopName, $field];
	}

}
