<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_shopVat extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::SHOP;

		if(!we_modules_info::isActive(we_modules_info::SHOP)){
			return;
		}
		if(we_shop_category::isCategoryMode()){
			$this->Attributes[] = new we_weTag_selectAttribute($this, 'field', '', [
				new we_weTag_option('id'),
				new we_weTag_option('vat'),
				new we_weTag_option('name'),
				new we_weTag_option('country'),
				new we_weTag_option('countrycode'),
				new we_weTag_option('is_standard'),
				new we_weTag_option('is_fallback_to_standard'),
				new we_weTag_option('is_fallback_to_prefs'),
				new we_weTag_option('is_country_fallback_to_prefs')
				], false, '');
		}

		$options = [];
		$vats = we_shop_vats::getAllShopVATs();
		foreach($vats as $vat){
			$options[] = new we_weTag_option($vat->vat . '% - ' . $vat->getNaturalizedText() . ' (' . $vat->territory . ')', $vat->id);
		}
		$this->Attributes[] = new we_weTag_selectAttribute($this, 'id', '', $options, false);

		if(we_shop_category::isCategoryMode()){
			$options = [];
			$cats = we_shop_category::getShopCatsFromDir();
			foreach($cats as $cat){
				$options[] = new we_weTag_option((string) $cat->Path, (string) $cat->ID);
			}
			$this->Attributes[] = new we_weTag_selectAttribute($this, 'shopcategoryid', '', $options, false);
			//TODO: this way of creating country select is too expensive (create we_html_select, then iterrate its options just to create it aganin...): make class weTagData_countryAttribute
			$options = [];
			foreach(we_html_tools::selectCountry('', '')->getOptionsArray() as $v){
				$options[] = new we_weTag_option($v->getContent(), $v->getAttribute('value'), '', [], [], $v->getAttribute('disabled'));
			}
			$this->Attributes[] = new we_weTag_selectAttribute($this, 'countrycode', '', $options, false, '');
			$this->Attributes[] = new we_weTag_textAttribute($this, 'customerid', '', false, '', '', 'number');
		}
	}

}
