<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 1b9e54229c0f $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-18 09:57 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('NO_SESS', 1);
require_once('../../../../we/include/we.inc.php');
header('Content-type: text/css');
header('Expires: ' . gmdate('D, d M Y H:i:s', time() + we_base_util::SECONDS_DAY) . ' GMT', true);
header('Last-Modified: ' . gmdate('D, d M Y H:i:s', filemtime(__FILE__) ?: 0) . ' GMT', true);
header('Cache-Control: max-age=' . we_base_util::SECONDS_DAY . ', must-revalidate', true);
header('Pragma: ', true);
?>

/* css editor body:font-size: this sheet is included first, for font-size to be eventually overwritten by document-css */

html {
	height: 100%;
}
body {
	height: calc(100% - 1.8em);
	font-size: 12px;
	<?php
	$bgcolor = we_base_request::string('tinyMceBackgroundColor');
	echo!($bgcolor = preg_match('/^[a-f0-9]{6}$/i', $bgcolor) ? '#' . $bgcolor : $bgcolor) ? '' :
		'background-color: ' . $bgcolor . ' !important;background-image: none !important;';
	?>
}

we-gallery{
	display: block;
	font-size: 14px;
}
we-gallery:before {
	font-family: FontAwesome;
	content: "\f187 ";
	color: gray;
}
we-gallery:after {
	font-family: Helvetica;
	content: "<?= g_l('contentTypes', '[text/weCollection]') . ' '; ?>";
	color: gray;
	border: dotted 1px gray;
}

td, th{
	min-width: 3em;
}
table:not([border]), table[border^="0"], table[border=""]{
	/*border: 1px dashed red;*/
}
table:not([border]) td,
table[border^="0"] td,
table[border=""] td,
table:not([border]) th,
table[border^="0"] th,
table[border=""] th{
	border: 1px dashed #bbb;
}

body.mce-visualblocks acronym,
body.mce-visualblocks abbr,
body.mce-visualblocks span[lang]{
	border: 2px dotted gray;
}