/* global WE, top */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
WE().util.loadConsts(document, "g_l.fileselector");
var fileSelect = WE().util.getDynamicVar(document, 'loadVarSelectors', 'data-selector');

var
	dirsel = 1,
	scrollToVal = 0,
	allentries = [];


function addOptionh(txt, id) {
	var a = document.getElementById('lookin');
	a.options[a.options.length] = new Option(txt, id);
	a.selectedIndex = (a.options.length > 0 ? a.options.length - 1 : 0);
}

function openFile() {
	var url = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=we_fileupload_editor&we_cmd[parentdir]=" + WE().util.dialogTop(window).fileSelect.data.currentDir + "&we_cmd[import]=0&we_cmd[fixed]=1&we_cmd[writeback]=sselector_insertFromUploader";
	(new (WE().layout.overlay)(window, 'top', url, "we_fileupload_editor", WE().consts.size.dialog.small, WE().consts.size.dialog.medium)).setResizeable().open();
}

function setLookin() {
	var dirs = [],
		a = document.getElementById('lookin'),
		c = 0,
		foo, i, j;

	a.options.length = 0;
	foo = WE().util.dialogTop(window).fileSelect.data.currentDir.split("/");
	for (j = 0; j < foo.length; j++) {
		if (foo[j] !== "") {
			dirs[c] = foo[j];
			c++;
		}
	}
	foo = WE().util.dialogTop(window).fileSelect.data.rootDir.split("/");
	var root = "/";
	for (j = 0; j < foo.length; j++) {
		if (foo[j] !== "") {
			root = foo[j];
		}
	}

	addOptionh(root, "/");
	for (i = 0; i < dirs.length; i++) {
		if (a.options[i].value === "/") {
			addOptionh(dirs[i], a.options[i].value + dirs[i]);
		} else {
			addOptionh(dirs[i], a.options[i].value + "/" + dirs[i]);
		}
	}

}

function closeOnEscape() {
	return true;
}


function addOption(txt, id) {
	var a = document.getElementsByName("filter")[0];
	a.options[a.options.length] = new Option(txt, id);
	a.selectedIndex = 0;
}

function editFile() {
	if (!WE().util.dialogTop(window).dirsel) {
		var a = document.getElementsByName("fname")[0];
		if ((WE().util.dialogTop(window).fileSelect.data.currentID !== "") && (a.value !== "")) {
			if (a.value !== WE().util.dialogTop(window).fileSelect.data.currentName) {
				WE().util.dialogTop(window).fileSelect.data.currentID = WE().util.dialogTop(window).fileSelect.data.sitepath + WE().util.dialogTop(window).fileSelect.data.rootDir + WE().util.dialogTop(window).fileSelect.data.currentDir + "/" + a.value;
			}
			var url = WE().consts.dirs.WEBEDITION_DIR + "we_cmd.php?we_cmd[0]=selectorEdit&id=" + WE().util.dialogTop(window).fileSelect.data.currentID;
			(new (WE().layout.overlay)(window, 'top', url, "we_fseditFile", WE().consts.size.dialog.small, WE().consts.size.dialog.small)).setResizeable().open();
		} else {
			WE().util.showMessage(WE().consts.g_l.fileselector.edit_file_nok, WE().consts.message.WE_MESSAGE_ERROR, window);
		}
	} else {
		WE().util.showMessage(WE().consts.g_l.edit_file_is_folder, WE().consts.message.WE_MESSAGE_ERROR, window);
	}
}

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function exit_close() {
	if (!WE().util.dialogTop(window).fileSelect.data.browseServer) {
		var foo = (!WE().util.dialogTop(window).fileSelect.data.currentID || (WE().util.dialogTop(window).fileSelect.data.currentID === fileSelect.data.sitepath) ? "/" : WE().util.dialogTop(window).fileSelect.data.currentID.substring(fileSelect.data.sitepath.length));
		if (WE().util.dialogTop(window).fileSelect.data.cmd1) {
			window.opener.document.we_form.elements[WE().util.dialogTop(window).fileSelect.data.cmd1].value = foo;
		}
	}


	if (WE().util.dialogTop(window).fileSelect.data.cmd4) {
		var tmp = WE().util.dialogTop(window).fileSelect.data.cmd4.split(',');
		tmp.splice(1, 0, WE().util.dialogTop(window).fileSelect.data);
		window.opener.we_cmd.apply(opener, tmp);
	}

	WE().util.dialogTop(window).doClose();
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().util.getWe_cmdArgsUrl(args);

	switch (args[0]) {
		case "sselector_insertFromUploader":
			WE().util.dialogTop(window).fscmd.selectDir();
			window.setTimeout(function (text) {
				WE().util.dialogTop(window).fscmd.selectFile(text);
			}, 400, args[1].text);
			break;
		default:
			opener.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}

function init() {
	setLookin();
	WE().util.dialogTop(window).fscmd.selectDir();
}